@echo off

REM
REM Check environment variable
REM
if [%1] == [] goto SET_43_ENV
if [%1] == [4.3.0] goto SET_43_ENV
if [%1] == [4.0.0] goto SET_40_ENV
if [%1] == [3.0.0] goto SET_30_ENV
if [%1] == [3.1.0] goto SET_31_ENV

@echo HERE

: SET_43_ENV
@echo Setting 4.3 env vars...
set JAVA_HOME=C:\dev\dev-tools\java\jdk6.0.1_35
set BEA_HOME=C:\dev\dev-tools\oracle\weblogic\10.3.6
set MW_HOME=%BEA_HOME%
set WL_HOME=%MW_HOME%\wlserver
set J2EE_HOME=%WL_HOME%\server
set EDB_PROJECT_HOME=C:\dev\dev-workspaces\Mars_DEV
GOTO END

: SET_40_ENV
@echo Setting 4.0 env vars...
set JAVA_HOME=d:\bea\dev\jdk1.6.0_01
set BEA_HOME=d:\bea\dev\weblogic\10.0
set WL_HOME=%BEA_HOME%\wlserver
set J2EE_HOME=%WL_HOME%\server
set EDB_PROJECT_HOME=d:\bea\projects\ESR.4.0.0\<Replace path - RP_HECMS_Code_rc>\vobs
GOTO END

: SET_30_ENV
@echo Setting 3.0 env vars...
set JAVA_HOME=D:\bea\dev\j2sdk1.4.2_14
set BEA_HOME=D:\bea\dev\weblogic\8.1
set WL_HOME=%BEA_HOME%\wlserver
set J2EE_HOME=%WL_HOME%\server
set EDB_PROJECT_HOME=d:\bea\projects\ESR.3.0.0\<Replace path - RP_HECMS_Code_rc>\vobs
GOTO END

: SET_31_ENV
@echo Setting 3.1 env vars...
set EDB_PROJECT_HOME=d:\bea\projects\ESR.3.1.0\<Replace path - RP_HECMS_Code_rc>\vobs
set JAVA_HOME=D:\\bea\\dev\\weblogic\\10.3.2.0\\jdk160_14_R27.6.5-32
set BEA_HOME=D:\\bea\\dev\\weblogic\\10.3.2.0
set WL_HOME=%BEA_HOME%\\wlserver_10.3
set J2EE_HOME=%WL_HOME%\\server
set batchProcess.dataSynchronizationIVMProducer.outputPath=%WL_HOME%\\user_projects\\domains\\ESRDomain
set EDB_PROJECT_HOME=D:\\bea\\projects\\ESR.3.0.0\\DNS   kavurt_HECMS_Dev_04_WL\\vobs


GOTO END

:END
REM Common, everyone jumps here
@echo Setting common Ant and Java env vars, appending PATH...
set ANT_HOME=C:\dev\dev-tools\apache\ant
set ANT_OPTS=-Xmx1024m -XX:MaxPermSize=512m -XX:PermSize=256m
set CAIP_CONFIG_HOME=%EDB_PROJECT_HOME%\HECMS_common\config\shared\caip
set JAVA_OPTIONS=%JAVA_OPTIONS% -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,address=5005,server=y,suspend=n -Djava.compiler=NONE -DDSKey.store=%CAIP_CONFIG_HOME%\caipService.jks -DmyCaipConfig.xml=%CAIP_CONFIG_HOME%\local\caipConfig.xml
set JAVA_VM=server
set JAVA_VENDOR=Sun
set SUN_JAVA_HOME=%JAVA_HOME%
set PATH=%JAVA_HOME%\bin;%ANT_HOME%\bin;%WL_HOME%\server\bin;d:\bea\dev\eclipse;%PATH%
cd /d "%EDB_PROJECT_HOME%/HECMS_libraries"
@echo DONE